Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1125397

Description of problem:

Assuming a capsule (id:1) has only the dev (id:2) lifecycle environment attached, attempting to perform a synchronize with the prod

(id:4) lifecycle environment will attempt to perform the synchonize.

Scenario:

hammer capsule synchronize --id 1 --environment-id 4

Actual Result:

the server will attempt to sync environment 4, even if it is not associated with the capsule

Expected Result:

the server should return an error to the user indicating that it is an invalid environment

Associated revisions

Revision 5ee5f52d - 07/31/2014 02:28 PM - Brad Buckingham

fixes #6871 / BZ 1125397 - capsule - add error case for content sync

If the user attempts to sync a lifecyle environment that isn't attached

to the capsule, generate an error to the user.

Revision f551c009 - 08/02/2014 11:29 AM - Brad Buckingham

Merge pull request #4514 from bbuckingham/issue-6871

fixes #6871 / BZ 1125397 - capsule - add error case for content sync

History

#1 - 07/31/2014 02:30 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Target version set to 54

- Pull request https://github.com/Katello/katello/pull/4514 added

- Pull request deleted ()

#2 - 08/01/2014 04:27 PM - Eric Helms

- Assignee set to Brad Buckingham

- Triaged changed from No to Yes
#3 - 08/02/2014 12:01 PM - Brad Buckingham

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset katello|5ee5f52d0dcf0f4fc90866ff720840cfc56ad078.

#4 - 08/22/2014 09:24 AM - Eric Helms

- translation missing: en.field_release set to 13
